<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_d4fa3b332be727dab2fbb0d586e" . "b8012" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00g" . "c3RhdF91cGRhdGVzIFdIRVJFIGFn" . "Z3JlZ2F0aW9uID0gaW50OmFnZ3Jl" . "Z2F0aW9uIEFORCA="), "aggregati" . "on" => base64_decode("YWdncmVnYXR" . "pb24="), "_9003c42" . "06769f8b" . "f549be38" . "9fc096dd" . "c" => base64_decode("IE9SREVSIEJZIGRhdG" . "VfdGltZSBERVND"), "_f934df31ac124758c1d704009544dde" . "f" => base64_decode("U0VMRUNUIGRhdGVfdGltZSwgb2JqZWN0X2lkLCB1c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW50OmFnZ3JlZ2F0aW9uIEF" . "ORCA="));
use Claromentis\Core\DAL;
abstract class StatReportLastAddedList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 10;
        $this->rows_per_page = 20;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_f934df31ac124758c1d704009544" . "ddef"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_9003c4206769f8bf549be389fc09" . "6ddc"]);
        $query->Bind($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["aggre" . "gatio" . "n"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d4fa3b332be727dab2fbb" . "0d586eb8012"] . $filter->AsPart(), $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
}